## ros-noetic-bota-driver-testing 0.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(bota_driver_testing)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
option(BUILD_HW_TESTS "Build the hardware tests" OFF)
set(PACKAGE_DEPENDENCIES
  bota_node
  rokubimini
  rokubimini_serial
  rokubimini_ethercat
  rokubimini_bus_manager
  rostest
  rosgraph_msgs
  geometry_msgs
  rokubimini_msgs
)

find_package(catkin REQUIRED COMPONENTS
  ${PACKAGE_DEPENDENCIES}
)

add_definitions(-std=c++14 -Wall -Werror)

if(CMAKE_COMPILER_IS_GNUCXX) 
  if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 7.0) 
    add_definitions(-faligned-new)
  endif() 
endif() 

###################################
## catkin specific configuration ##
###################################

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
  ${PACKAGE_DEPENDENCIES}
)

include_directories(${catkin_INCLUDE_DIRS}
)

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  if(BUILD_HW_TESTS)
    include_directories(${catkin_INCLUDE_DIRS})
    add_rostest_gtest(
        ${PROJECT_NAME}_boot_sync
        launch/${PROJECT_NAME}_boot_sync.test
        src/main.cpp
        src/TestBotaDriverBoot.cpp
    )
    add_rostest_gtest(
        ${PROJECT_NAME}_boot_async
        launch/${PROJECT_NAME}_boot_async.test
        src/main.cpp
        src/TestBotaDriverBoot.cpp
    )
    add_rostest_gtest(
        ${PROJECT_NAME}_reset_service_sync
        launch/${PROJECT_NAME}_reset_service_sync.test
        src/main.cpp
        src/TestBotaDriverResetService.cpp
    )
    add_rostest_gtest(
        ${PROJECT_NAME}_reset_service_async
        launch/${PROJECT_NAME}_reset_service_async.test
        src/main.cpp
        src/TestBotaDriverResetService.cpp
    )
    add_rostest_gtest(
        ${PROJECT_NAME}_ft_offsets_sync
        launch/${PROJECT_NAME}_ft_offsets_sync.test
        src/main.cpp
        src/TestBotaDriverFTOffsets.cpp
    )
    add_rostest_gtest(
        ${PROJECT_NAME}_ft_offsets_async
        launch/${PROJECT_NAME}_ft_offsets_async.test
        src/main.cpp
        src/TestBotaDriverFTOffsets.cpp
    )
    add_rostest_gtest(
        ${PROJECT_NAME}_zero_measurements_sync
        launch/${PROJECT_NAME}_zero_measurements_sync.test
        src/main.cpp
        src/TestBotaDriverZeroMeasurements.cpp
    )
    add_rostest_gtest(
        ${PROJECT_NAME}_zero_measurements_async
        launch/${PROJECT_NAME}_zero_measurements_async.test
        src/main.cpp
        src/TestBotaDriverZeroMeasurements.cpp
    )
    add_rostest(launch/${PROJECT_NAME}_param_sync.test)
    add_rostest(launch/${PROJECT_NAME}_param_async.test)
    add_rostest(launch/${PROJECT_NAME}_hz_512_sync.test)
    add_rostest(launch/${PROJECT_NAME}_hz_512_async.test)
    add_rostest(launch/${PROJECT_NAME}_hz_256_sync.test)
    add_rostest(launch/${PROJECT_NAME}_hz_256_async.test)
    add_rostest(launch/${PROJECT_NAME}_hz_128_sync.test)
    add_rostest(launch/${PROJECT_NAME}_hz_128_async.test)
    add_rostest(launch/${PROJECT_NAME}_hz_64_sync.test)
    add_rostest(launch/${PROJECT_NAME}_hz_64_async.test)
  endif()
endif()
if(TARGET ${PROJECT_NAME}_boot_sync)
  target_link_libraries(
    ${PROJECT_NAME}_boot_sync
    ${catkin_LIBRARIES}
  )
endif()
if(TARGET ${PROJECT_NAME}_boot_async)
  target_link_libraries(
    ${PROJECT_NAME}_boot_async
    ${catkin_LIBRARIES}
  )
endif()
if(TARGET ${PROJECT_NAME}_reset_service_sync)
  target_link_libraries(
    ${PROJECT_NAME}_reset_service_sync
    ${catkin_LIBRARIES}
  )
endif()
if(TARGET ${PROJECT_NAME}_reset_service_async)
  target_link_libraries(
    ${PROJECT_NAME}_reset_service_async
    ${catkin_LIBRARIES}
  )
endif()
if(TARGET ${PROJECT_NAME}_ft_offsets_sync)
  target_link_libraries(
    ${PROJECT_NAME}_ft_offsets_sync
    ${catkin_LIBRARIES}
  )
endif()
if(TARGET ${PROJECT_NAME}_ft_offsets_async)
  target_link_libraries(
    ${PROJECT_NAME}_ft_offsets_async
    ${catkin_LIBRARIES}
  )
endif()
if(TARGET ${PROJECT_NAME}_zero_measurements_sync)
  target_link_libraries(
    ${PROJECT_NAME}_zero_measurements_sync
    ${catkin_LIBRARIES}
  )
endif()
if(TARGET ${PROJECT_NAME}_zero_measurements_async)
  target_link_libraries(
    ${PROJECT_NAME}_zero_measurements_async
    ${catkin_LIBRARIES}
  )
endif()
find_package(cmake_clang_tools QUIET)
if(cmake_clang_tools_FOUND)
  add_clang_tooling(
    TARGET
    ${PROJECT_NAME}
    test_${PROJECT_NAME}
    SOURCE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    CF_FIX)
endif(cmake_clang_tools_FOUND)

=== debian/changelog ===
ros-noetic-bota-driver-testing (0.6.1-2focal) focal; urgency=high

  * Remove gmock dependency
  * Let pipeline fail if tests fail
  * remove calibration matrix values and change sensor config files
  * Feature - Add more async tests in the hardware tests step of CI
  * change serial sensor name in CI
  * Feature/ethercat grant
  * Feature/add hardware testing
  * Contributors: Martin Wermelinger, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 27 Sep 2021 21:00:00 -0000

=== debian/control ===
Source: ros-noetic-bota-driver-testing
Section: misc
Priority: optional
Maintainer: Bota Systems AG <sw-support@botasys.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-noetic-bota-node, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-rokubimini, ros-noetic-rokubimini-bus-manager, ros-noetic-rokubimini-ethercat, ros-noetic-rokubimini-msgs, ros-noetic-rokubimini-serial, ros-noetic-rosgraph-msgs, ros-noetic-rostest, ros-noetic-rosunit
Homepage: http://wiki.ros.org/bota_driver
Standards-Version: 3.9.2

Package: ros-noetic-bota-driver-testing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-bota-node, ros-noetic-geometry-msgs, ros-noetic-rokubimini, ros-noetic-rokubimini-bus-manager, ros-noetic-rokubimini-ethercat, ros-noetic-rokubimini-msgs, ros-noetic-rokubimini-serial, ros-noetic-rosgraph-msgs, ros-noetic-rostest
Description: ROS node for communicating with rokubimini sensors

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-bota-driver-testing//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
